import type { LocalRuleOptions, Middleware } from '../index';
import { error } from '../constants';

const localRules: Partial<LocalRuleOptions> = {
  'rules/no-import-dot': error,
  'rules/restrict-template-expressions': error,
};

export const local: Middleware = (_, { addRules }) => {
  addRules(localRules);
};
