import type { Middleware } from '../index';
import { off } from '../constants';
import type { TailwindRulesObject } from '@aet/eslint-define-config/src/rules/tailwind';

const tailwindRules: Partial<TailwindRulesObject> = {
  'tailwindcss/no-custom-classname': off,
} as const;

export const tailwind: Middleware = (config, { addRules }) => {
  config.extends.push('plugin:tailwindcss/recommended');
  addRules(tailwindRules);
};
