import { JSDocRulesObject } from '@aet/eslint-define-config/src/rules/jsdoc';
import type { Middleware } from '../index';

const jsdocRules: Partial<JSDocRulesObject> = {};

export const jsdoc: Middleware = (config, { addRules }) => {
  config.plugins.push('jsdoc');
  config.extends.push('plugin:jsdoc/recommended-typescript');
  addRules(jsdocRules);
};
